Tag: android gradle

Différentes bibliothèques / importations selon le type de construction

Dans une application Android, je dois utiliser un SDK spécifique pour un certain périphérique. Tout fonctionne bien avec une seule variante de construction: provided fileTree(include: ['peripheral.jar'], dir: 'libs') compile fileTree(exclude: ['peripheral.jar'], dir: 'libs') Le problème est que le SDK repose sur une bibliothèque partagée installée dans le périphérique réel. Si j'essaie d'installer l'application dans n'importe […]

Comment résoudre l'erreur Android Studio où il ne peut pas trouver le fichier Manifest du projet?

Je migre mon projet hérité d'Eclipse vers un studio Android. J'ai fait les choses suivantes: Exporter et générer des fichiers de génération de gradle dans eclipse Imported le fichier Gradle.build dans Android Studio Modifié mes dépendances de la version de gradle à: classpath 'com.android.tools.build:gradle:0.9.+' Mon dossier racine du projet contient 3 projets de bibliothèque: Actionbarsherlock […]

L'application du plugin 'kotlin-android' dans une application instantanée indique que "null ne peut pas être transmis au type non nul" com.android.build.gradleBasePlugin "

J'ai essayé de combiner les nouvelles applications Android instantanément publiées avec le langage de programmation Kotlin. Après avoir créé mon projet à l'aide de la configuration suivante (standard?), J'ai une erreur avec le message "null ne peut pas être transmis à un type non nul com.android.build.gradle.BasePlugin" lorsque j'essaie de créer l'application. L'utilisation de Kotlin fonctionne […]

Pourquoi puis-je obtenir cette erreur lorsque j'ajoute la bibliothèque client Google Translate à mon projet Android?

J'essaie d'ajouter la bibliothèque client Google Translate à mon projet Android selon ces instructions , ce qui me dit d'ajouter cette ligne à mes dépendances dans build.gradle de mon projet de bibliothèque (qui dépend d'un projet d'application): compile group: 'com.google.cloud', name: 'google-cloud-translate', version: '0.4.0' Mais quand je le fais, j'obtiens cette erreur: Error:Execution failed for […]

Ce qui est généré et les dossiers intermédiaires dans le répertoire de construction et pourquoi les sorties du dossier sont manquantes

Je développe une application avec Android Studio et Gradle. Lorsque la construction est terminée, le dossier de build contient les dossiers suivants: – assets – CordovaLib – build – src – build.gradle – gradle – src – com.my.package – CordovaApp – build.gradle – build – generated – intermediates – outputs //not displayed in android studio's […]

Comment inclure plusieurs référentiels dans build.gradle?

Android Studio ne me laissera pas construire cela. Il dit com.mixpanel.blahblahblah n'est pas trouvé. Com.mixpanel.blahblahblah vient de mavenCentral () Je sais que le problème est parce qu'il ne reconnaît pas mavenCentral () car il ne reconnaît que l'autre repo. Comment puis-je inclure les deux et faire fonctionner ce projet? apply plugin: 'com.android.application' apply plugin: 'crashlytics' […]

Soutien MultiDex dans l'erreur d'application Android

Je veux utiliser Android L compat libs. Après avoir ajouté le code pertinent à gradle, j'ai l'erreur: Error Code: 2 Output: objc[36290]: Class JavaLaunchHelper is implemented in both /Library/Java/JavaVirtualMachines/jdk1.7.0_67.jdk/Contents/Home/bin/java and /Library/Java/JavaVirtualMachines/jdk1.7.0_67.jdk/Contents/Home/jre/lib/libinstrument.dylib. One of the two will be used. Which one is undefined. UNEXPECTED TOP-LEVEL EXCEPTION: java.lang.IllegalArgumentException: method ID not in [0, 0xffff]: 65536 at com.android.dx.merge.DexMerger$6.updateIndex(DexMerger.java:501) […]

AndroidAnnotations ne peut pas trouver la classe de symboles

J'utilise AndroidAnnotations dans un projet Android Studio Gradle. Je reçois actuellement une sortie d'erreur de AA lors de la compilation qui indique: cannot find symbol class MyActivity_ La sortie d'erreur n'empêche pas la construction de l'application – ce n'est pas vraiment une erreur de compilation car la classe est là, il semble que ce ne […]

Jenkins donne l'annuaire SDK n'existe pas

J'essaie d'installer une intégration continue avec Jenkins sur un projet android gradle Quand je le développe, j'obtiens l'erreur suivante: [Android Gradle Jenkins Experiment2] $ "/Users/Shared/Jenkins/Home/workspace/Android Gradle Jenkins Experiment2/gradlew" build FAILURE: Build failed with an exception. * What went wrong: A problem occurred configuring project ':app'. The SDK directory '/Users/chaz/Library/Android/sdk' does not exist. Voici une partie […]

Comment inclure des dépendances dans la bibliothèque .aar?

J'utilise Android Studio 1.4 J'ai un module dans mon projet qui a les dépendances suivantes dans build.gradle: dependencies { provided fileTree(dir: 'libs', include: ['*.jar']) provided 'junit:junit:4.12' apply plugin: 'com.google.gms.google-services' provided 'org.apache.directory.studio:org.apache.commons.io:2.4' provided 'com.google.android.gms:play-services:8.1.0' provided 'com.fasterxml.jackson.core:jackson-databind:2.2.0' provided 'com.fasterxml.jackson.core:jackson-core:2.2.0' provided 'com.fasterxml.jackson.core:jackson-annotations:2.2.0' } Après avoir édifié le projet et la synchronisation avec Gradle, j'obtiens lib-release.aar dans mon dossier […]

coAndroid est un fan Android de Google, tout sur les téléphones Android, Android Wear, Android Dev et Android Games Apps.